> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit the given bank rule.



## OpenAPI

````yaml api-reference/openapi.json put /api/banking/rules/{id}
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/banking/rules/{id}:
    put:
      tags:
        - Bank Rules
      summary: Edit the given bank rule.
      operationId: BankRulesController_editBankRule
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EditBankRuleDto'
      responses:
        '200':
          description: ''
components:
  schemas:
    EditBankRuleDto:
      type: object
      properties:
        name:
          type: string
          description: The name of the bank rule
          example: Monthly Salary
        order:
          type: number
          description: The order of the bank rule
          example: 1
        applyIfAccountId:
          type: number
          description: The account ID to apply the rule if
          example: 1
        applyIfTransactionType:
          type: string
          description: The transaction type to apply the rule if
          example: deposit
        conditionsType:
          type: string
          description: The conditions type to apply the rule if
          example: and
        conditions:
          description: The conditions to apply the rule if
          example:
            - field: description
              comparator: contains
              value: Salary
          type: array
          items:
            type: string
        assignCategory:
          type: string
          description: The category to assign the rule if
          example: Income:Salary
        assignAccountId:
          type: number
          description: The account ID to assign the rule if
          example: 1
        assignPayee:
          type: string
          description: The payee to assign the rule if
          example: Employer Inc.
        assignMemo:
          type: string
          description: The memo to assign the rule if
          example: Monthly Salary
      required:
        - name
        - order
        - applyIfAccountId
        - applyIfTransactionType
        - conditionsType
        - conditions
        - assignCategory
        - assignAccountId
        - assignPayee
        - assignMemo

````